import { Options } from '../index';
/**
 * Linux is surprisingly difficult. There seems to be multiple system-wide
 * repositories for certs, so we copy ours to each. However, Firefox does it's
 * usual separate trust store. Plus Chrome relies on the NSS tooling (like
 * Firefox), but uses the user's NSS database, unlike Firefox (which uses a
 * separate Mozilla one). And since Chrome doesn't prompt the user with a GUI
 * flow when opening certs, if we can't use certutil to install our certificate
 * into the user's NSS database, we're out of luck.
 */
export default function addToLinuxTrustStores(certificatePath: string, options?: Options): Promise<void>;
