import { Options } from '../index';
/**
 * macOS is pretty simple - just add the certificate to the system keychain,
 * and most applications will delegate to that for determining trusted
 * certificates. Firefox, of course, does it's own thing. We can try to
 * automatically install the cert with Firefox if we can use certutil via the
 * `nss` Homebrew package, otherwise we go manual with user-facing prompts.
 */
export default function addToMacTrustStores(certificatePath: string, options?: Options): Promise<void>;
