import { Options } from '../index';
/**
 * Windows is at least simple. Like macOS, most applications will delegate to
 * the system trust store, which is updated with the confusingly named
 * `certutil` exe (not the same as the NSS/Mozilla certutil). Firefox does it's
 * own thing as usual, and getting a copy of NSS certutil onto the Windows
 * machine to try updating the Firefox store is basically a nightmare, so we
 * don't even try it - we just bail out to the GUI.
 */
export default function addToWindowsTrustStores(certificatePath: string, options?: Options): Promise<void>;
